package pruebas;

import hibernate.domain.HibernateUtil;
import hibernate.domain.Productos;
import java.util.List;
import org.hibernate.Session;

public class PruebaHibernate {

    public static void main(String[] args) {

        try (Session session = 
                HibernateUtil.getSessionFactory().getCurrentSession()) {
            
            session.beginTransaction();
            List<?> list = session.createQuery("from Productos").list();

            list.stream().map((obj) -> (Productos) obj).forEach((p) -> {
                System.out.println(p.getPrecio() + "\t" + p.getTitulo());
            });
        }

        HibernateUtil.getSessionFactory().close();
        System.exit(0);
    }
}

